package org.artifactory.security.token;

import org.artifactory.security.token.model.PathToken;

/**
 * @author barh
 */
public interface PathTokenService {
    /**
     * This service used by the P2P use cases
     * this method should be used to search in docker repositories only (sha2 as file name makes it possible).
     * @param repoKey the repository key that should contain the file
     * @param filename filename of the target file
     * @param expiresIn token will be acceptable for this period.
     * @return path to file and a token that allows to download from that path.
     */
    PathToken createPathToken(String repoKey, String filename, Long expiresIn);

    /**
     *
     * @param filepath full path to target file
     * @param expiresIn token will be acceptable for this period
     * @return path to file and a token that allows to download from that path.
     */
    PathToken createPathToken(String filepath, Long expiresIn);
}
